//+------------------------------------------------------------------+
//|																geEPMA.mq4		|
//|                      Copyright  2007, ver 1.0							|
//|                      Forte928           									|
//+------------------------------------------------------------------+
#property copyright "Forte928"
#property link      ""
#define		IndicatorName "geEPMA"

#property indicator_chart_window
//----
extern int A=11;
extern int B=13;
extern int C=15;
extern int D=17;
extern int E=19;
extern int CountBars=500;
extern int NumberOfDays = 1;
//+------------------------------------------------------------------+
//| Custom indicator initialization function |
//+------------------------------------------------------------------+
int init()
{
return(0);
}
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function |
//+------------------------------------------------------------------+
int deinit()
{
//---- 
int shift=0;
for(shift=Bars-1;shift>=0;shift--) 
{
ObjectDelete("A"+shift);
ObjectDelete("B"+shift);
ObjectDelete("C"+shift);
ObjectDelete("D"+shift);
ObjectDelete("E"+shift); 
}
//----
return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator iteration function |
//+------------------------------------------------------------------+
int start()
{
int counted_bars=IndicatorCounted();
int Shift, NumBars=500;
double CloseTime,OpenTime;
//----
if (Bars<CountBars) { NumBars=Bars-1; } else { NumBars=CountBars; }
	
	shift=0;
	int IxDay=NumberOfDays;
	datetime CurrentDay=Time[0];CurrentDay=CurrentDay-TimeSeconds(CurrentDay)-TimeMinute(CurrentDay)-TimeHour(CurrentDay);
	datetime StartDay=0;
	while (IxDay>0){
		Shift=Shift+1;
		StartDay=Time[Shift];
		StartDay=StartDay-TimeSeconds(StartDay)-TimeMinute(StartDay)-TimeHour(StartDay);
		if (StartDay!=CurrentDay) { IxDay=IxDay-1; CurrentDay=StartDay;
	}
for(Shift=Bars-1;Shift>=0;Shift--) 
{
	CurrentDay=Time[Shift];CurrentDay=CurrentDay-TimeSeconds(CurrentDay)-TimeMinute(CurrentDay)-TimeHour(CurrentDay);
	if (CurrentDay>=StartDay) {
// OpenTime=StrToTime(TimeDay(Time[shift])+" "+A+":"+OpenTimeMin);
// CloseTime=StrToTime(TimeDay(Time[shift])+" "+B+":"+CloseTimeMin); 
		if (TimeHour(Time[Shift])== A && TimeMinute(Time[Shift])==0) {
			DrawVertical("A",Shift);
		}
		if (TimeHour(Time[Shift])== B && TimeMinute(Time[Shift])==0) {
			DrawVertical("B",Shift);
		}
		if (TimeHour(Time[Shift])== C && TimeMinute(Time[Shift])==0) {
			DrawVertical("C",Shift);
		}
		if (TimeHour(Time[Shift])== D && TimeMinute(Time[Shift])==0) {
			DrawVertical("D",Shift);
		}
		if (TimeHour(Time[Shift])== E && TimeMinute(Time[Shift])==0) {
			DrawVertical("E",Shift);
		}
	}
}
return(0);
}
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
void DrawVertical(string iPrefix,int iTimeShift);
{
	if(ObjectFind(iPrefix+iTimeShift)!=0){
		ObjectCreate(iPrefix+iTimeShift, OBJ_VLINE, 0, Time[iTimeShift], 0);
		ObjectSet(iPrefix+iTimeShift, OBJPROP_WIDTH,1);
		ObjectSet(iPrefix+iTimeShift, OBJPROP_STYLE,0); 
		ObjectSet(iPrefix+iTimeShift, OBJPROP_COLOR,Blue);
	}
	return;
}
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

